# $Revision: 1.37 $, $Date: 2004/07/04 12:22:59 $
Summary:	gCVS is a GTK port of WinCVS, a Windows-based CVS client
Summary(pl):	Sportowany pod gtk WinCVS - klient CVS
Name:		gcvs
Version:	1.0
Release:	4
Epoch:		2
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/cvsgui/%{name}-%{version}.tar.bz2
# Source0-md5:	063b5805eda434f47251af9278168adb
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-nocvsunix.patch
Patch1:		%{name}-ambiguous.patch
Patch2:		%{name}-types.patch
URL:		http://www.wincvs.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2
BuildRequires:	libstdc++-devel
BuildRequires:	tcl-devel
BuildRequires:	unzip
Requires:	cvs >= 1.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gCVS is a GTK port of WinCVS, a Windows-based CVS client.

%description -l pl
gCVS jest bazowanym na Windows klientem CVS, uywajcym bibliotek GTK.
Pozwala na wygodne operacje w CVS poprzez graficzny interfejs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/gcvs.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%doc GuiDoc/cvsgui*html
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/gcvs.desktop
%{_pixmapsdir}/gcvs.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gcvs.spec,v $
Revision 1.37  2004/07/04 12:22:59  havner
- applnk -> vfolders

Revision 1.36  2003/12/06 17:16:04  qboosh
- uhm, exceptions are used; but new gcc can generate rtti for them only where needed

Revision 1.35  2003/12/06 17:10:53  qboosh
- added types patch (fixes build on alpha)
- no sense to enable rtti if --debug

Revision 1.34  2003/12/06 16:13:53  undefine
- release 3 to rebuild with ac

Revision 1.33  2003/09/05 19:46:59  blues
- release 2

Revision 1.32  2003/08/24 06:38:59  gotar
- added ambiguous patch

Revision 1.31  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.30  2003/05/25 05:47:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/19 01:41:44  misi3k
- switch to bz2 sources

Revision 1.28  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.27  2003/01/28 19:17:05  blues
- final stable 1.0 version; previous was broken - it looked for cvs in
  /usr/X11R6/bin, updated patch, NOT adding /usr/X11R6 prefix - it works
  really fine without that.
  STBR to Ra/updates/general (without defining prefix) - previous is
  useless

Revision 1.26  2003/01/18 22:48:34  juandon
- removed two lines with define

Revision 1.25  2002/11/15 14:32:29  ankry
- new %%doc
- added icon based on one from cvsgui homepage
- release 3

Revision 1.24  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/07/15 16:56:10  kloczek
- !sort BuildRequires rules.

Revision 1.22  2002/07/15 16:55:25  kloczek
- more fixes for not using included cvs code.

Revision 1.21  2002/07/15 09:39:18  speedy
- now builds on PPC
- recreate ac/am

Revision 1.20  2002/04/25 16:21:28  arturs
fixed a small typo

Revision 1.19  2002/04/23 08:06:34  ankry
- fixed ssource URL

Revision 1.18  2002/02/23 02:06:17  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/08/11 17:48:19  blues
- Release 2
- added buildrequires
- configure2_13

Revision 1.14  2001/05/05 18:04:13  kloczek
- added Epoch=1 for allow downgrade from 1.0a7 to 1.0a6.

Revision 1.13  2001/05/05 16:30:14  blues
- used older version - seems to work better

c86cf57d7c82ffa5760b840a4adba77d  SOURCES/gcvs-1.0a6.tar.gz

Revision 1.12  2001/05/05 15:51:51  kloczek
- use -fno-rtti only when not %%{debug}.

Revision 1.11  2001/05/05 15:27:58  blues
- added desktop-file
- url corrected
- missing files added

Revision 1.10  2001/05/05 14:35:03  blues
- version 1.0a7 (few bug-fixes)
- patch updated
- added tcl-devel to BuildRequires
- cosmetics

10ecd0c9f08e6ccc09353a51e630de06  SOURCES/gcvs-1.0a7.tar.gz

Revision 1.9  2001/05/02 16:29:02  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/26 23:07:05  kloczek
- removed Source1.

Revision 1.5  2000/05/26 23:06:38  kloczek
- removed howto subpackage (this doc can be rather included to cvs package),
- added missing %%{_datadir}/%%{name} to %files.
TODO: add desktop file.

Revision 1.4  2000/05/26 22:45:57  kloczek
- onother cosmetic.

Revision 1.3  2000/05/26 22:44:01  kloczek
- fixed BuildReqiuires list,
- added -fno-rtti to C++ optimizations (smaller executable),
- cosmetics.

Revision 1.2  2000/05/26 22:37:20  bonkey
- after all, we need special cvs

Revision 1.1  2000/05/26 21:52:24  bonkey
- initial version written almost from scratch
